package refTests;

import fr.cnes.celestlab.celestlabx.generic.Params;

public class InitParams {
	private final Params params = new Params();

	/**
	 * Constructor
	 */
	public InitParams() {

		// mass
		params.addDouble("mass", 1200.0);

		// atmospheric drag
		params.addBoolean("drag_enabled", true);
		params.addString("drag_coefType", "constant");
		params.addString("drag_atmosphericModel", "NRLMSISE-00");
		params.addDouble("drag_area", 15.0);
		params.addDouble("drag_coef", 2.0);

		// Solar activity
		params.addString("drag_solarActivityType", "constant");
		params.addDouble("drag_solarActivityFlux", 130.0);
		params.addDouble("drag_solarActivityAp", 10.0);

		// Third body
		params.addBoolean("thirdBody_enabled", true);
		String[] bodies = { "Sun", "Moon" };
		params.addStringArray("thirdBody_bodies", bodies);

		// earth perturbation
		params.addBoolean("central_enabled", true);
		params.addBoolean("zonal_enabled", true);
		params.addInteger("zonal_maxDeg", 10);
		params.addBoolean("tesseral_enabled", true);
		params.addInteger("tesseral_maxDeg", 7);
		params.addDouble("tesseral_minPeriod", 5 * 86400.0);

		// SRP
		params.addBoolean("srp_enabled", true);
		params.addDouble("srp_area", 15.0);
		params.addDouble("srp_coef", 1.7);

		// Solid Tides
		params.addBoolean("solidTides_enabled", true);

		// Aparent acceleration
		params.addBoolean("appAcc_enabled", true);
		// ref frame
		params.addString("appAcc_refFrame", "ICRF");

		// Advanced parameters
		params.addDouble("integrator_step", 86400.0);

		params.addDouble("reentryAltitude", 70000.0);
		params.addInteger("srp_nbQuadPoints", 13);
		params.addInteger("drag_nbQuadPoints", 23);
		params.addInteger("drag_nbRecomputeSteps", 1);
	}

	public Params getParams() {
		return params;
	}

}
